protection bubbles tell you you're blocked
Closed, ResolvedPublic

Description

Author: pinkampersand.wikimedia

Description:
When you try to edit an item that's been protected, you still see the "edit"/"add" buttons and have the ability to type in the text fields. While the "save" button is initially greyed out, once you start typing, it turns blue again. It's only when you try to save the change that you get the message saying the page has been protected. Seems to me it would be better to have all of the buttons just not appear, like when you're viewing an old revision, and to have the notice about the page being protected pop up in a bubble, like the one that tells you if you're editing logged out.


Version: unspecified
Severity: normal

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz45140.
bzimport created this task.Via LegacyFeb 19 2013, 12:51 AM
jeblad added a comment.Via ConduitFeb 19 2013, 11:40 AM

What kind of browser do you use? Is it possible to edit only parts of the page? Is the text boxes grayed out?

bzimport added a comment.Via ConduitFeb 19 2013, 6:14 PM

pinkampersand.wikimedia wrote:

(In reply to comment #1)

What kind of browser do you use?

I use Google Chrome, version 23.0.1271.111, on an Alex series Chromebook.

Is it possible to edit only parts of the
page?
Is the text boxes grayed out?

Well... strangely enough, when I went to check your question, I found that the buttons were in fact all greyed out. Maybe something changed in all the updates yesterday? It's much better right now. I'd mark this as resolved, but, while we're on the topic, I notice that the text says "You are blocked from editing", when it should say that the page is protected. Try editing https://www.wikidata.org/wiki/Q16 from a non-admin account to see what I mean. (Or https://www.wikidata.org/wiki/Q5296 while logged out.)

jeblad added a comment.Via ConduitFeb 27 2013, 12:56 AM

Yes, its about the same I found and I think there is a merged changeset that made the links stay disabled.

The blocked message is a bug and should be fixed.

bzimport added a comment.Via ConduitApr 9 2013, 1:59 AM

pinkampersand.wikimedia wrote:

Just pinging to see where we are on this. All that needs to be changed is for a new message to show up on the tooltip instead of [[d:MediaWiki:Wikibase-blockeduser-tooltip-message]].

Legoktm added a comment.Via ConduitApr 9 2013, 2:39 AM
  • Bug 46169 has been marked as a duplicate of this bug. ***
Jasper added a comment.Via ConduitApr 11 2013, 8:44 PM

https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/extensions/Wikibase.git;a=commitdiff;h=384baeac31516857131553b80a5813b79588953f;hp=ac63d423b3f0fc133e5ad99a57479a561a7a30ee

The code in this commit seems to wrongly assume that the only time blockItemActions is called would be when the user is blocked, but it also seems that this is also called when the page is protected.

Add Comment